Package picard.analysis

## Class CollectQualityYieldMetrics.QualityYieldMetricsCollector

- java.lang.Object
- - picard.analysis.CollectQualityYieldMetrics.QualityYieldMetricsCollector

- Enclosing class:
    CollectQualityYieldMetrics

      public static class CollectQualityYieldMetrics.QualityYieldMetricsCollector
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `includeSupplementalAlignments` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QualityYieldMetricsCollector​(boolean useOriginalQualities, boolean includeSecondaryAlignments, boolean includeSupplementalAlignments)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acceptRecord​(htsjdk.samtools.SAMRecord rec, htsjdk.samtools.reference.ReferenceSequence ref)` |
    `void` | `addMetricsToFile​(htsjdk.samtools.metrics.MetricsFile<CollectQualityYieldMetrics.QualityYieldMetrics,​Integer> metricsFile)` |
    `void` | `finish()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### includeSupplementalAlignments

          public final boolean includeSupplementalAlignments

  - ### Constructor Detail

    - #### QualityYieldMetricsCollector

          public QualityYieldMetricsCollector​(boolean useOriginalQualities,
                                              boolean includeSecondaryAlignments,
                                              boolean includeSupplementalAlignments)

  - ### Method Detail

    - #### acceptRecord

          public void acceptRecord​(htsjdk.samtools.SAMRecord rec,
                                   htsjdk.samtools.reference.ReferenceSequence ref)

    - #### finish

          public void finish()

    - #### addMetricsToFile

          public void addMetricsToFile​(htsjdk.samtools.metrics.MetricsFile<CollectQualityYieldMetrics.QualityYieldMetrics,​Integer> metricsFile)